## mozjs140 140.3.0

=== testing/web-platform/tests/tools/manifest/requirements.txt ===
zstandard==0.23.0
