=== testing/web-platform/tests/tools/wpt/requirements.txt ===
requests==2.32.3
types-requests==2.32.0.20241016
