=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib==1.1
mozdebug==0.3.1
mozinfo==1.2.3  # https://bugzilla.mozilla.org/show_bug.cgi?id=1621226
mozlog==8.0.0
mozprocess==1.3.1
packaging==25.0
pillow==10.4.0; python_version < '3.9'
pillow==11.1.0; python_version >= '3.9'
requests==2.32.3
types-requests==2.32.0.20241016
six==1.16.0
types-six==1.17.0.20241205
urllib3==2.2.2
aioquic==0.9.21
