## mozjs140 140.1.0

=== debian/changelog ===
mozjs140 (140.1.0-4) unstable; urgency=medium

  * Opt into Salsa CI but disable blhc & reprotest checks for now
  * Add more tests to Expect-some-floating-point-tests-to-fail-on-i386.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Aug 2025 15:24:47 -0400

mozjs140 (140.1.0-3) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Drop duplicated patch

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:23:19 -0400

mozjs140 (140.1.0-2) experimental; urgency=medium

  * d/p: Add patches suggested/required for building newer GJS
  * debian/libmozjs-140-0.docs: Add Apache NOTICE files to docs
  * debian/source/lintian-overrides: Drop unused rule
  * debian/copyright: Drop superfluous file paths

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 03 Aug 2025 18:13:21 +0200

mozjs140 (140.1.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch from Chimera Linux to fix Unsupported OS error (Closes: #1108794)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Jul 2025 15:28:01 +0200
