## mozjs140 140.2.0

=== debian/changelog ===
mozjs140 (140.2.0-1) unstable; urgency=medium

  * New upstream release
  * Remove Bug-1973993-Install-ProfilingCategoryList.h patch:
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Aug 2025 13:23:56 -0400
