## mozjs140 140.3.0

=== debian/changelog ===
mozjs140 (140.3.0-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 08:55:35 -0400
