=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                rustc (>= 1.76.0),
                tzdata,
                zip
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/140/latest
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/140/latest
